# class Chef::FileContentManagement::ContentBase

### Attributes

current_resource[R]
new_resource[R]
run_context[R]

### Public Class Methods

new(new_resource, current_resource, run_context) click to toggle source

    # File lib/chef/file_content_management/content_base.rb, line 27
    def initialize(new_resource, current_resource, run_context)
      @new_resource = new_resource
      @current_resource = current_resource
      @run_context = run_context
      @tempfile_loaded = false
    end

### Public Instance Methods

tempfile() click to toggle source

    # File lib/chef/file_content_management/content_base.rb, line 34
    def tempfile
      # tempfile may be nil, so we cannot use ||= here
      if @tempfile_loaded
        @tempfile
      else
        @tempfile_loaded = true
        @tempfile = file_for_provider
      end
    end